#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	pam
Version		:	1.5.2
Release		:	14.4.0.0%{?dist}
Summary		:	An extensible library which provides authentication for applications

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD and GPLv2+
URL		:	https://github.com/linux-pam/linux-pam/releases/

Source0		:	Linux-PAM-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	bison
BuildRequires	:	docbook-xsl
BuildRequires	:	flex
BuildRequires	:	libxslt
BuildRequires	:	make
BuildRequires	:	gcc
BuildRequires	:	gettext
BuildRequires	:	perl
BuildRequires	:	pkg-config

#-----------------------------------------------------------------------------
%description
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication.

#-----------------------------------------------------------------------------
%files			-f Linux-PAM.lang
%license Copyright
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/security/access.conf
%config(noreplace) %{_sysconfdir}/security/faillock.conf
%config(noreplace) %{_sysconfdir}/security/group.conf
%config(noreplace) %{_sysconfdir}/security/limits.conf
%config(noreplace) %{_sysconfdir}/security/namespace.conf
%config(noreplace) %{_sysconfdir}/security/pam_env.conf
%config(noreplace) %{_sysconfdir}/security/time.conf
%config(noreplace) %{_sysconfdir}/%{name}.d/other
%config(noreplace) %{_sysconfdir}/%{name}.d/system-local-account
%config(noreplace) %{_sysconfdir}/%{name}.d/system-local-auth
%config(noreplace) %{_sysconfdir}/%{name}.d/system-local-password
%config(noreplace) %{_sysconfdir}/%{name}.d/system-local-session
%config(noreplace) %{_sysconfdir}/%{name}.d/system-remote-account
%config(noreplace) %{_sysconfdir}/%{name}.d/system-remote-auth
%config(noreplace) %{_sysconfdir}/%{name}.d/system-remote-password
%config(noreplace) %{_sysconfdir}/%{name}.d/system-remote-session
%attr(755,root,root) %config(noreplace) %{_sysconfdir}//security/namespace.init
%attr(0755,root,root) %{_sbindir}/mkhomedir_helper
%attr(4755,root,root) %{_sbindir}/pam_timestamp_check
%attr(0755,root,root) %{_sbindir}/pwhistory_helper
%attr(4755,root,root) %{_sbindir}/unix_chkpwd
%attr(0700,root,root) %{_sbindir}/unix_update
%{_sbindir}/%{name}_namespace_helper
%{_sbindir}/faillock
%{_libdir}/lib%{name}.so.*
%{_libdir}/lib%{name}c.so.*
%{_libdir}/lib%{name}_misc.so.*
%{_libdir}/security/%{name}_*.so
%{_libdir}/security/%{name}_filter/upperLOWER
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%package		devel
Summary		:	Files needed for developing PAM-aware applications and modules for PAM

Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication. This package
contains header files used for building both PAM-aware applications
and modules for use with the PAM system.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/security/_pam*.h
%{_includedir}/security/pam*.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}c.so
%{_libdir}/lib%{name}_misc.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}_misc.pc
%{_libdir}/pkgconfig/%{name}c.pc
%{_mandir}/man3/*.3.gz

#=============================================================================
%package		docs
Summary		:	Extra documentation for PAM.

Requires	:	%{name}	= %{version}-%{release}
BuildARch	:	noarch

#-----------------------------------------------------------------------------
%description		docs
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication. The pam-docs
contains extra documentation for PAM. Currently, this includes additional
documentation in txt and html format.

#-----------------------------------------------------------------------------
%files			docs
%defattr(-,root,root,-)
%doc doc/txts

#=============================================================================
%prep
%setup -q -n Linux-PAM-%{version}
sed -i							\
  -e "/service_DATA/d"					\
  modules/pam_namespace/Makefile.am

tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build
autoreconf -vif

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
	--includedir=%{_includedir}/security		\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--disable-static				\
	--disable-rpath					\
	--disable-prelude				\
	--disable-selinux				\

%{__make} -C po update-gmo

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

#making doc file
%{__mkdir_p} doc/txts
for readme in modules/pam_*/README
  do
  %{__cp} -f						\
	${readme}					\
	doc/txts/README.`dirname ${readme}	    |	\
		sed -e 's|^modules/||'`
  done

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
%{__mkdir_p}						\
	%{buildroot}%{_sysconfdir}/%{name}.d
%{__cp} -a						\
	%{name}-ok_addon/*				\
	%{buildroot}%{_sysconfdir}/%{name}.d

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%{__rm} -fr						\
	%{buildroot}%{_datadir}/doc/%{name}-%{version}	\
	%{buildroot}%{_sysconfdir}/environment		\
	%{buildroot}%{_libdir}/systemd

%find_lang Linux-PAM

#-----------------------------------------------------------------------------
%changelog
